## org.apache.mahout.cf.taste.recommender
Interface UserBasedRecommender

All Superinterfaces:
  Recommender, Refreshable

All Known Implementing Classes:
  GenericBooleanPrefUserBasedRecommender, GenericUserBasedRecommender

    public interface UserBasedRecommender

extends Recommender

Interface implemented by "user-based" recommenders.

Method Summary
`long[]` `mostSimilarUserIDs(long userID, int howMany)`
`long[]` `mostSimilarUserIDs(long userID, int howMany, Rescorer<LongPair> rescorer)`

Methods inherited from interface org.apache.mahout.cf.taste.recommender.Recommender
`estimatePreference, getDataModel, recommend, recommend, removePreference, setPreference`

Methods inherited from interface org.apache.mahout.cf.taste.common.Refreshable
`refresh`

Method Detail

### mostSimilarUserIDs

    long[] mostSimilarUserIDs(long userID,
                              int howMany)
                              throws TasteException

  Parameters:
    `userID` - ID of user for which to find most similar other users
    `howMany` - desired number of most similar users to find
  Returns:
    users most similar to the given user
  Throws:
    `TasteException` - if an error occurs while accessing the `DataModel`

### mostSimilarUserIDs

    long[] mostSimilarUserIDs(long userID,
                              int howMany,
                              Rescorer<LongPair> rescorer)
                              throws TasteException

  Parameters:
    `userID` - ID of user for which to find most similar other users
    `howMany` - desired number of most similar users to find
    `rescorer` - `Rescorer` which can adjust user-user similarity estimates used to determine most similar users
  Returns:
    IDs of users most similar to the given user
  Throws:
    `TasteException` - if an error occurs while accessing the `DataModel`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.